groovy.xml

## Class SAXBuilder

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.BuilderSupport
    - - groovy.xml.SAXBuilder

All Implemented Interfaces:
  GroovyObject

    public class SAXBuilder
    extends BuilderSupport

A builder for generating W3C SAX events. Use similar to MarkupBuilder.

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`SAXBuilder(org.xml.sax.ContentHandler handler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Object` `createNode(java.lang.Object name)`
`protected java.lang.Object` `createNode(java.lang.Object name, java.util.Map attributes)`
`protected java.lang.Object` `createNode(java.lang.Object name, java.util.Map attributeMap, java.lang.Object text)`
`protected java.lang.Object` `createNode(java.lang.Object name, java.lang.Object value)`
`protected void` `doStartElement(java.lang.Object name, org.xml.sax.Attributes attributes)`
`protected void` `handleException(org.xml.sax.SAXException e)`
`protected void` `nodeCompleted(java.lang.Object parent, java.lang.Object name)` A hook to allow nodes to be processed once they have had all of their children applied.
`protected void` `setParent(java.lang.Object parent, java.lang.Object child)`

### Methods inherited from class groovy.util.BuilderSupport

`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, postNodeCompletion, setClosureDelegate, setCurrent`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, getProperty, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SAXBuilder

    public SAXBuilder(org.xml.sax.ContentHandler handler)

### Method Detail

#### setParent

    protected void setParent(java.lang.Object parent,
                             java.lang.Object child)

Specified by:
  `setParent` in class `BuilderSupport`

#### createNode

    protected java.lang.Object createNode(java.lang.Object name)

Specified by:
  `createNode` in class `BuilderSupport`

#### createNode

    protected java.lang.Object createNode(java.lang.Object name,
                                          java.lang.Object value)

Specified by:
  `createNode` in class `BuilderSupport`

#### createNode

    protected java.lang.Object createNode(java.lang.Object name,
                                          java.util.Map attributeMap,
                                          java.lang.Object text)

Specified by:
  `createNode` in class `BuilderSupport`

#### doStartElement

    protected void doStartElement(java.lang.Object name,
                                  org.xml.sax.Attributes attributes)

#### nodeCompleted

    protected void nodeCompleted(java.lang.Object parent,
                                 java.lang.Object name)

Description copied from class: `BuilderSupport`
A hook to allow nodes to be processed once they have had all of their children applied.

Overrides:
  `nodeCompleted` in class `BuilderSupport`
Parameters:
  `parent` - the parent of the node being processed
  `name` - the current node being processed

#### handleException

    protected void handleException(org.xml.sax.SAXException e)

#### createNode

    protected java.lang.Object createNode(java.lang.Object name,
                                          java.util.Map attributes)

Specified by:
  `createNode` in class `BuilderSupport`